> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Helm Chart Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}:
    get:
      tags:
        - Helm API
      summary: Get Helm Chart Endpoint
      operationId: >-
        get_helm_chart_endpoint_api_v1_org_helm_charts_chart__repository_name___chart_name___chart_version__get
      parameters:
        - in: path
          name: repository_name
          required: true
          schema:
            maxLength: 253
            title: Repository Name
            type: string
        - in: path
          name: chart_name
          required: true
          schema:
            maxLength: 253
            title: Chart Name
            type: string
        - in: path
          name: chart_version
          required: true
          schema:
            maxLength: 128
            title: Chart Version
            type: string
        - in: query
          name: values
          required: false
          schema:
            default: false
            title: Values
            type: boolean
        - in: query
          name: readme
          required: false
          schema:
            default: false
            title: Readme
            type: boolean
        - in: query
          name: registry_url
          required: false
          schema:
            anyOf:
              - maxLength: 2048
                type: string
              - type: 'null'
            title: Registry Url
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHelmChartResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetHelmChartResult:
      properties:
        app_version:
          anyOf:
            - type: string
            - type: 'null'
          title: App Version
        base64_readme:
          anyOf:
            - type: string
            - type: 'null'
          title: Base64 Readme
        base64_values:
          anyOf:
            - type: string
            - type: 'null'
          title: Base64 Values
        base64_values_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Base64 Values Schema
        chart_unavailable:
          default: false
          title: Chart Unavailable
          type: boolean
        created:
          anyOf:
            - format: date-time
              type: string
            - type: string
            - type: 'null'
          title: Created
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        digest:
          title: Digest
          type: string
        home_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Home Url
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        is_deprecated:
          default: false
          title: Is Deprecated
          type: boolean
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keywords
        maintainers:
          anyOf:
            - items:
                $ref: '#/components/schemas/Maintainer'
              type: array
            - type: 'null'
          title: Maintainers
        name:
          title: Name
          type: string
        package_url:
          title: Package Url
          type: string
        readme_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Readme S3 Link
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        registry_name:
          title: Registry Name
          type: string
        registry_url:
          title: Registry Url
          type: string
        sources:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sources
        tgz_s3_link:
          title: Tgz S3 Link
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        values_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Values S3 Link
        values_schema_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Values Schema S3 Link
        version:
          title: Version
          type: string
        versions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Versions
      required:
        - name
        - version
        - package_url
        - digest
        - registry_name
        - registry_url
        - tgz_s3_link
      title: GetHelmChartResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Maintainer:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      title: Maintainer
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````